summaryrefslogtreecommitdiffstats
path: root/bin/snapshot
diff options
context:
space:
mode:
Diffstat (limited to 'bin/snapshot')
-rwxr-xr-xbin/snapshot8
1 files changed, 8 insertions, 0 deletions
diff --git a/bin/snapshot b/bin/snapshot
index 8c246cb..731aa2b 100755
--- a/bin/snapshot
+++ b/bin/snapshot
@@ -25,6 +25,11 @@ TIMESTAMP()
echo "=====" "$1": "`date`" "====="
}
+EXIT_BANNER()
+{
+TIMESTAMP "Exit $0 with status=$?"
+}
+
# MAIN
echo "====================================="
echo "$0 $*"
@@ -32,6 +37,9 @@ echo "====================================="
TIMESTAMP MAIN
uname -a
+# setup exit banner message
+trap EXIT_BANNER 0
+
# The path isn't properly initialized on hawkwind -- /usr/local/bin is
# either missing or is after /usr/bin when it should be before.
PATH="/usr/local/bin:$PATH"